> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md).

# DataGridViewLinkCell

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [DataGridViewElement](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md)
    * [DataGridViewLinkCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md)

Displays a link widget in a [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewLinkCell : DataGridViewCell
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewLinkCell
    Inherits DataGridViewCell
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewLinkCell()

Initializes a new instance of [DataGridViewLinkCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkBehavior

[LinkBehavior](/api/wisej.web/enumerations/wisej.web.linkbehavior.md): Returns or sets a value that represents the behavior of the link cell. (Default: `SystemDefault`)

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the color used when displaying a normal link.

### ![](/files/hsR4ok3152WyAf8J2C1u) UseColumnTextForLinkValue

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets a value indicating if the link in the cell uses the owning column's text instead of the value of the cell. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ValueType

[Type](https://docs.microsoft.com/dotnet/api/system.type): Returns or sets the data type of the values in the cell.

## Implements

| Name                                                                    | Description                                                                                                     |
| ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)           | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [ICommandSource](/api/wisej.web/interfaces/wisej.web.icommandsource.md) | Defines an object that can invoke a [Command](/api/wisej.web/interfaces/wisej.web.icommandsource.md#command).   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewlinkcell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
